package com.crm.custom.service;

import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.entity.custom.bank.CustomBankAddEntity;
import com.crm.rely.backend.model.entity.custom.bank.CustomBankDeleteEntity;
import com.crm.rely.backend.model.entity.custom.bank.CustomBankUpdateEntity;
import com.crm.rely.backend.model.pojo.table.CustomBankTable;
import org.springframework.web.multipart.MultipartFile;

public interface CustomBankService {

    void add(CustomBankAddEntity entity) throws ServiceException;

    void update(CustomBankUpdateEntity entity) throws ServiceException;

    void delete(CustomBankDeleteEntity entity) throws ServiceException;

    void validated(MultipartFile file) throws ServiceException;

    String uploadBankFile(Long customId, MultipartFile file) throws Exception;

    CustomBankTable getByCustomId(Long customId) throws ServiceException;
}
